Subject: [lamps] FW: New Version Notification for draft-ietf-lamps-rfc5751-bis-10.txt

From: Jim Schaad <[email-masked]>
Date: Tue, 19 Jun 2018 19:05:09 -0700

EKR,

This should address the last comment that you pointed out from Daniel.  I used his suggested language so I doubt he is going to object.

I believe that you should be able to advance to ballot now

Jim

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Tuesday, June 19, 2018 6:28 PM
To: Jim Schaad <[email-masked]>; Blake Ramsdell <[email-masked]>; Sean Turner <[email-masked]>
Subject: New Version Notification for draft-ietf-lamps-rfc5751-bis-10.txt

A new version of I-D, draft-ietf-lamps-rfc5751-bis-10.txt
has been successfully submitted by Jim Schaad and posted to the IETF repository.

Name:		draft-ietf-lamps-rfc5751-bis
Revision:	10
Title:		Secure/Multipurpose Internet Mail Extensions (S/MIME) Version 4.0 Message Specification
Document date:	2018-06-19
Group:		lamps
Pages:		58
URL:            https://www.ietf.org/internet-drafts/draft-ietf-lamps-rfc5751-bis-10.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-lamps-rfc5751-bis/
Htmlized:       https://tools.ietf.org/html/draft-ietf-lamps-rfc5751-bis-10
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-lamps-rfc5751-bis
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-rfc5751-bis-10

Abstract:
   This document defines Secure/Multipurpose Internet Mail Extensions
   (S/MIME) version 4.0.  S/MIME provides a consistent way to send and
   receive secure MIME data.  Digital signatures provide authentication,
   message integrity, and non-repudiation with proof of origin.
   Encryption provides data confidentiality.  Compression can be used to
   reduce data size.  This document obsoletes RFC 5751.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 19 Jun 2018 21:10:56 -0700

Thanks. I will take a look this week.

On Tue, Jun 19, 2018 at 7:05 PM, Jim Schaad <[email-masked]> wrote:

> EKR,
>
> This should address the last comment that you pointed out from Daniel.  I
> used his suggested language so I doubt he is going to object.
>
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
>
> The IETF Secretariat
>
>
>

---

From: Daniel Migault <[email-masked]>
Date: Wed, 20 Jun 2018 13:58:04 +0000

Hi,

I am fine with the update and appreciated the response to my comments. Though this might be done elsewhere, I believe it would be good to have a companion document with cryptographic recommendation and mandatory to implement algorithms.
Yours,
Daniel

From: Eric Rescorla <[email-masked]>
Sent: Wednesday, June 20, 2018 12:11 AM
To: Jim Schaad <[email-masked]>
Cc: SPASM <[email-masked]>; Daniel Migault <[email-masked]>
Subject: Re: FW: New Version Notification for draft-ietf-lamps-rfc5751-bis-10.txt

On Tue, Jun 19, 2018 at 7:05 PM, Jim Schaad <[email-masked]<mailto:[email-masked]>> wrote:
EKR,

Jim

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, June 19, 2018 6:28 PM
To: Jim Schaad <[email-masked]<mailto:[email-masked]>>; Blake Ramsdell <[email-masked]<mailto:[email-masked]>>; Sean Turner <[email-masked]<mailto:[email-masked]>>
Subject: New Version Notification for draft-ietf-lamps-rfc5751-bis-10.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

The IETF Secretariat

---

From: Russ Housley <[email-masked]>
Date: Wed, 20 Jun 2018 10:41:12 -0400

Daniel:

I am confused by your comment. Section 2.1 lists the mandatory-to-implement hash functions, Section 2.2 lists the mandatory-to-implement signature algorithms, Section 2.3 lists the mandatory-to-implement key establishment algorithms, and Section 2.7 lists the mandatory-to-implement encryption algorithms.

Russ

> On Jun 20, 2018, at 9:58 AM, Daniel Migault <[email-masked]> wrote:
> 
> Hi, 
>  
> From: Eric Rescorla <[email-masked] <mailto:[email-masked]>> 
> To: Jim Schaad <[email-masked] <mailto:[email-masked]>>
> Cc: SPASM <[email-masked] <mailto:[email-masked]>>; Daniel Migault <[email-masked] <mailto:[email-masked]>>
> On Tue, Jun 19, 2018 at 7:05 PM, Jim Schaad <[email-masked] <mailto:[email-masked]>> wrote:
> EKR,
> 
> From: [email-masked] <mailto:[email-masked]> <[email-masked] <mailto:[email-masked]>> 
> To: Jim Schaad <[email-masked] <mailto:[email-masked]>>; Blake Ramsdell <[email-masked] <mailto:[email-masked]>>; Sean Turner <[email-masked] <mailto:[email-masked]>>
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-lamps-rfc5751-bis-10.txt <https://www.ietf.org/internet-drafts/draft-ietf-lamps-rfc5751-bis-10.txt>
> Status:         https://datatracker.ietf.org/doc/draft-ietf-lamps-rfc5751-bis/ <https://datatracker.ietf.org/doc/draft-ietf-lamps-rfc5751-bis/>
> Htmlized:       https://tools.ietf.org/html/draft-ietf-lamps-rfc5751-bis-10 <https://tools.ietf.org/html/draft-ietf-lamps-rfc5751-bis-10>
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-lamps-rfc5751-bis <https://datatracker.ietf.org/doc/html/draft-ietf-lamps-rfc5751-bis>
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-rfc5751-bis-10 <https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-rfc5751-bis-10>
> 
> Abstract:
> Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org/>.
> 
> The IETF Secretariat
> 
> 
>  
> _______________________________________________
> Spasm mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/spasm <https://www.ietf.org/mailman/listinfo/spasm>

---

From: Daniel Migault <[email-masked]>
Date: Wed, 20 Jun 2018 15:51:22 +0000

Thanks for the clarification. I did not saw them in the diff of version 10 because they were on version 7.  Then this confuses me as well, and I do not know why I had the impression it was missing. This addresses my concern and I apology for raising it then.

Yours,
Daniel

From: Russ Housley <[email-masked]>
Sent: Wednesday, June 20, 2018 10:41 AM
To: Daniel Migault <[email-masked]>
Cc: Eric Rescorla <[email-masked]>; Jim Schaad <[email-masked]>; SPASM <[email-masked]>
Subject: Re: [lamps] FW: New Version Notification for draft-ietf-lamps-rfc5751-bis-10.txt

Daniel:

Russ

On Jun 20, 2018, at 9:58 AM, Daniel Migault <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

From: Eric Rescorla <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, June 20, 2018 12:11 AM
To: Jim Schaad <[email-masked]<mailto:[email-masked]>>
Cc: SPASM <[email-masked]<mailto:[email-masked]>>; Daniel Migault <[email-masked]<mailto:[email-masked]>>
Subject: Re: FW: New Version Notification for draft-ietf-lamps-rfc5751-bis-10.txt

Jim

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, June 19, 2018 6:28 PM
To: Jim Schaad <[email-masked]<mailto:[email-masked]>>; Blake Ramsdell <[email-masked]<mailto:[email-masked]>>; Sean Turner <[email-masked]<mailto:[email-masked]>>
Subject: New Version Notification for draft-ietf-lamps-rfc5751-bis-10.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org/>.

The IETF Secretariat

_______________________________________________
Spasm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/spasm

---

From: Daniel Migault <[email-masked]>
Date: Sun, 24 Jun 2018 23:15:08 -0400

Hi,

Thinking of it twice, this is what I really wanted to mean with the
cryptography recommendations. In my view, I would expect the cryptographic
recommendations to indicate at one place the algorithms that must be used,
those that must not be used and the others.

It is true that sections 2.1, 2.2, 2.3 provides cryptographic
recommendations. However I believe these recommendations omits the status
of the algorithms that are either no longer supported compared to the
previous version of S/MIME or that are not specified in any S/MIME
specifications. In this specification RC2, TripleDES, DSA, SHA1 may be
associated with a status in these sections as well. The default rule could
be MAY for unspecified algorithms. Note that it may also be needed to catch
up with all previous version to avoid that an algorithm previously rolled
to historic happen to become a MAY in this specification.

One of the difficulty of deprecating an algorithm is that old encrypted
message remain. It might  help to specify that status are provided for
message being received or sent and not for old messages.

Note that the status of RC2, TripleDES, DSA, SHA1 can be found in the
specification, but it seems to me clearer to have them at one place, but
again that is only my opinion.

As I have been requested by the security directorate to review the version
10, I will provide some additional comments in another email.

Yours,
Daniel

On Wed, Jun 20, 2018 at 11:51 AM, Daniel Migault <
[email-masked]> wrote:

> Thanks for the clarification. I did not saw them in the diff of version 10
> because they were on version 7.  Then this confuses me as well, and I do
> not know why I had the impression it was missing. This addresses my concern
> and I apology for raising it then.
>
>
>
> Yours,
>
> Daniel
>
>
>
> *From:* Russ Housley <[email-masked]>
> *Sent:* Wednesday, June 20, 2018 10:41 AM
> *To:* Daniel Migault <[email-masked]>
> *Cc:* Eric Rescorla <[email-masked]>; Jim Schaad <[email-masked]>;
> SPASM <[email-masked]>
> *Subject:* Re: [lamps] FW: New Version Notification for
> draft-ietf-lamps-rfc5751-bis-10.txt
>
>
>
> Daniel:
>
>
>
> I am confused by your comment. Section 2.1 lists the
> mandatory-to-implement hash functions, Section 2.2 lists the
> mandatory-to-implement signature algorithms, Section 2.3 lists the
> mandatory-to-implement key establishment algorithms, and Section 2.7 lists
> the mandatory-to-implement encryption algorithms.
>
>
>
> Russ
>
>
>
>
>
> I am fine with the update and appreciated the response to my comments.
> Though this might be done elsewhere, I believe it would be good to have a
> companion document with cryptographic recommendation and mandatory to
> implement algorithms.
>
> Yours,
>
> Daniel
>
>
>
> *From:* Eric Rescorla <[email-masked]>
> *Sent:* Wednesday, June 20, 2018 12:11 AM
> *To:* Jim Schaad <[email-masked]>
> *Cc:* SPASM <[email-masked]>; Daniel Migault <[email-masked]
> <daniel.migault@ericsson..com>>
> *Subject:* Re: FW: New Version Notification for
> draft-ietf-lamps-rfc5751-bis-10.txt
>
>
>
> To: Jim Schaad <[email-masked]>; Blake Ramsdell <blaker@gmail..com
> <[email-masked]>>; Sean Turner <[email-masked]>
> [email-masked]
> [email-masked]